/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../../styles/plateg-variables.less';

.tag-holder {
  .tag-element {
    display: inline-block;
    padding: 1px 4px 1px 8px;
    border: 1px solid @platform-blue1;
    border-radius: 2px;
    font-size: 1.6rem;
    line-height: 22px;
    color: @platform-blue1;
    margin: 0 8px 4px 0;
    &.hidden {
      display: none;
    }
    &.has-error {
      border-color: @platform-validation-red;
      color: @platform-validation-red;
      .btn-close {
        color: @platform-validation-red;
      }
    }

    .btn-close {
      color: @platform-blue1;
      vertical-align: top;
      padding: 6px;
      font-size: 1rem;
      line-height: 10px;
      margin-top: 0px;
      margin-left: 3px;
      display: inline-block;
      &:hover,
      &:focus {
        color: #fff;
      }
    }
  }
  .show-more-btn {
    text-decoration: underline;
    &.hidden {
      display: none;
    }
  }
}
